FROM node:current-alpine as build-env
COPY . /app
WORKDIR /app
RUN yarn \
  && yarn build

FROM node:current-alpine
RUN addgroup -g 1010 poki \
  && adduser -h /home/pokiu -s /bin/ash -D -u 1011 -g poki pokiu

WORKDIR /home/pokiu/poki

COPY --from=build-env ./app/.next /home/pokiu/poki/.next
COPY --from=build-env ./app/package.json /home/pokiu/poki
COPY --from=build-env ./app/yarn.lock /home/pokiu/poki
COPY --from=build-env ./app/LICENSE /home/pokiu/poki
RUN yarn install --prod

EXPOSE 3000
RUN export NODE_ENV=production
CMD ["yarn", "start"]
